#include "stdafx.h"
#include "R-HH-M3O-LEG42-USB-SDK-DEMO.h"
#include "R-HH-M3O-LEG42-USB-SDK-DEMODlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


CRHHM3OLEG42USBSDKDEMODlg::CRHHM3OLEG42USBSDKDEMODlg(CWnd* pParent /*=NULL*/)
	: CDialog(CRHHM3OLEG42USBSDKDEMODlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CRHHM3OLEG42USBSDKDEMODlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CRHHM3OLEG42USBSDKDEMODlg, CDialog)
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	ON_WM_SIZE()
#endif
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


BOOL CRHHM3OLEG42USBSDKDEMODlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
void CRHHM3OLEG42USBSDKDEMODlg::OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/)
{
	if (AfxIsDRAEnabled())
	{
		DRA::RelayoutDialog(
			AfxGetResourceHandle(), 
			this->m_hWnd, 
			DRA::GetDisplayMode() != DRA::Portrait ? 
			MAKEINTRESOURCE(IDD_RHHM3OLEG42USBSDKDEMO_DIALOG_WIDE) : 
			MAKEINTRESOURCE(IDD_RHHM3OLEG42USBSDKDEMO_DIALOG));
	}
}
#endif

